Package com.treemap.swing.voronoi.smoothing

# Class SmoothVoronoiCellShape

java.lang.Object
com.macrofocus.geom.Path2D
com.macrofocus.geom.Path2D.Double
com.treemap.swing.voronoi.smoothing.SmoothVoronoiCellShape

All Implemented Interfaces:
  `com.macrofocus.geom.Shape`

public class SmoothVoronoiCellShape extends com.macrofocus.geom.Path2D.Double
This class represents a smooth voronoi cell outline shape. It extends a Path2D with a stored area and a list of vertexes (or vertexes)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.geom.Path2D

  `com.macrofocus.geom.Path2D.Double`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.geom.Path2D

  `WIND_EVEN_ODD, WIND_NON_ZERO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmoothVoronoiCellShape(Shape shape, double area, List<Vertex> vertexes, List<SmoothedSegment> smoothedSegments)`
  Creates a SmoothVoronoiCellShape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getArea()`
  Returns the area of this shape.
  `SmoothedSegment`
  `getSegment(Vertex startVertex, Vertex endVertex)`
  `List<SmoothedSegment>`
  `getSmoothedSegments()`
  `List<Vertex>`
  `getVertexes()`
  Returns the vertexes (or vertexes) of this shape.
  `String`
  `toString()`

  ### Methods inherited from class com.macrofocus.geom.Path2D.Double

  `append, clone, createTransformedShape, curveTo, getBounds2D, getFlattenPathIterator, getPathIterator, getPathIterator, lineTo, moveTo, quadTo, transform`

  ### Methods inherited from class com.macrofocus.geom.Path2D

  `closePath, contains, contains, contains, contains, contains, contains, contains, contains, copyOf, copyOf, getCurrentPoint, getWindingRule, intersects, intersects, intersects, intersects, reset, setWindingRule`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.geom.Shape

  `getBounds`

- ## Constructor Details

  - ### SmoothVoronoiCellShape

    public SmoothVoronoiCellShape(Shape shape, double area, List<Vertex> vertexes, List<SmoothedSegment> smoothedSegments)
    Creates a SmoothVoronoiCellShape.
    Parameters:
      `shape` - the smooth outline shape of the voronoi cell
      `area` - the area of the cell
      `vertexes` - the vertexes (or vertexes) of the cell
      `smoothedSegments` - the smoothed segments

- ## Method Details

  - ### getArea

    public double getArea()
    Returns the area of this shape.
    Returns:
      the area of this shape

  - ### getVertexes

    public List<Vertex> getVertexes()
    Returns the vertexes (or vertexes) of this shape.
    Returns:
      the vertexes (or vertexes) of this shape

  - ### getSmoothedSegments

    public List<SmoothedSegment> getSmoothedSegments()

  - ### getSegment

    public SmoothedSegment getSegment(Vertex startVertex, Vertex endVertex)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`